IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/80
Addresses2^48
/64 networksPart of one
- Network
fe80:c25d:ec00:ec00:2::/80- First address
fe80:c25d:ec00:ec00:2::- Last address
fe80:c25d:ec00:ec00:2:ffff:ffff:ffff- Addresses
- 281,474,976,710,656 (2^48)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
fe80:c25d:ec00:ec00:0002:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
2.0.0.0.0.0.c.e.0.0.c.e.d.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25d:ec00:ec00:2::/80 makes 256 subnets of /88.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25d:ec00:ec00:2::/88 | fe80:c25d:ec00:ec00:2:ff:ffff:ffff |
| 2 | fe80:c25d:ec00:ec00:2:100::/88 | fe80:c25d:ec00:ec00:2:1ff:ffff:ffff |
| 3 | fe80:c25d:ec00:ec00:2:200::/88 | fe80:c25d:ec00:ec00:2:2ff:ffff:ffff |
| 4 | fe80:c25d:ec00:ec00:2:300::/88 | fe80:c25d:ec00:ec00:2:3ff:ffff:ffff |
| 5 | fe80:c25d:ec00:ec00:2:400::/88 | fe80:c25d:ec00:ec00:2:4ff:ffff:ffff |
| 6 | fe80:c25d:ec00:ec00:2:500::/88 | fe80:c25d:ec00:ec00:2:5ff:ffff:ffff |
| 7 | fe80:c25d:ec00:ec00:2:600::/88 | fe80:c25d:ec00:ec00:2:6ff:ffff:ffff |
| 8 | fe80:c25d:ec00:ec00:2:700::/88 | fe80:c25d:ec00:ec00:2:7ff:ffff:ffff |
| 9 | fe80:c25d:ec00:ec00:2:800::/88 | fe80:c25d:ec00:ec00:2:8ff:ffff:ffff |
| 10 | fe80:c25d:ec00:ec00:2:900::/88 | fe80:c25d:ec00:ec00:2:9ff:ffff:ffff |
| 11 | fe80:c25d:ec00:ec00:2:a00::/88 | fe80:c25d:ec00:ec00:2:aff:ffff:ffff |
| 12 | fe80:c25d:ec00:ec00:2:b00::/88 | fe80:c25d:ec00:ec00:2:bff:ffff:ffff |
| 13 | fe80:c25d:ec00:ec00:2:c00::/88 | fe80:c25d:ec00:ec00:2:cff:ffff:ffff |
| 14 | fe80:c25d:ec00:ec00:2:d00::/88 | fe80:c25d:ec00:ec00:2:dff:ffff:ffff |
| 15 | fe80:c25d:ec00:ec00:2:e00::/88 | fe80:c25d:ec00:ec00:2:eff:ffff:ffff |
| 16 | fe80:c25d:ec00:ec00:2:f00::/88 | fe80:c25d:ec00:ec00:2:fff:ffff:ffff |
| 17 | fe80:c25d:ec00:ec00:2:1000::/88 | fe80:c25d:ec00:ec00:2:10ff:ffff:ffff |
| 18 | fe80:c25d:ec00:ec00:2:1100::/88 | fe80:c25d:ec00:ec00:2:11ff:ffff:ffff |
| 19 | fe80:c25d:ec00:ec00:2:1200::/88 | fe80:c25d:ec00:ec00:2:12ff:ffff:ffff |
| 20 | fe80:c25d:ec00:ec00:2:1300::/88 | fe80:c25d:ec00:ec00:2:13ff:ffff:ffff |
| 21 | fe80:c25d:ec00:ec00:2:1400::/88 | fe80:c25d:ec00:ec00:2:14ff:ffff:ffff |
| 22 | fe80:c25d:ec00:ec00:2:1500::/88 | fe80:c25d:ec00:ec00:2:15ff:ffff:ffff |
| 23 | fe80:c25d:ec00:ec00:2:1600::/88 | fe80:c25d:ec00:ec00:2:16ff:ffff:ffff |
| 24 | fe80:c25d:ec00:ec00:2:1700::/88 | fe80:c25d:ec00:ec00:2:17ff:ffff:ffff |
| 25 | fe80:c25d:ec00:ec00:2:1800::/88 | fe80:c25d:ec00:ec00:2:18ff:ffff:ffff |
| 26 | fe80:c25d:ec00:ec00:2:1900::/88 | fe80:c25d:ec00:ec00:2:19ff:ffff:ffff |
| 27 | fe80:c25d:ec00:ec00:2:1a00::/88 | fe80:c25d:ec00:ec00:2:1aff:ffff:ffff |
| 28 | fe80:c25d:ec00:ec00:2:1b00::/88 | fe80:c25d:ec00:ec00:2:1bff:ffff:ffff |
| 29 | fe80:c25d:ec00:ec00:2:1c00::/88 | fe80:c25d:ec00:ec00:2:1cff:ffff:ffff |
| 30 | fe80:c25d:ec00:ec00:2:1d00::/88 | fe80:c25d:ec00:ec00:2:1dff:ffff:ffff |
| 31 | fe80:c25d:ec00:ec00:2:1e00::/88 | fe80:c25d:ec00:ec00:2:1eff:ffff:ffff |
| 32 | fe80:c25d:ec00:ec00:2:1f00::/88 | fe80:c25d:ec00:ec00:2:1fff:ffff:ffff |
| 33 | fe80:c25d:ec00:ec00:2:2000::/88 | fe80:c25d:ec00:ec00:2:20ff:ffff:ffff |
| 34 | fe80:c25d:ec00:ec00:2:2100::/88 | fe80:c25d:ec00:ec00:2:21ff:ffff:ffff |
| 35 | fe80:c25d:ec00:ec00:2:2200::/88 | fe80:c25d:ec00:ec00:2:22ff:ffff:ffff |
| 36 | fe80:c25d:ec00:ec00:2:2300::/88 | fe80:c25d:ec00:ec00:2:23ff:ffff:ffff |
| 37 | fe80:c25d:ec00:ec00:2:2400::/88 | fe80:c25d:ec00:ec00:2:24ff:ffff:ffff |
| 38 | fe80:c25d:ec00:ec00:2:2500::/88 | fe80:c25d:ec00:ec00:2:25ff:ffff:ffff |
| 39 | fe80:c25d:ec00:ec00:2:2600::/88 | fe80:c25d:ec00:ec00:2:26ff:ffff:ffff |
| 40 | fe80:c25d:ec00:ec00:2:2700::/88 | fe80:c25d:ec00:ec00:2:27ff:ffff:ffff |
| 41 | fe80:c25d:ec00:ec00:2:2800::/88 | fe80:c25d:ec00:ec00:2:28ff:ffff:ffff |
| 42 | fe80:c25d:ec00:ec00:2:2900::/88 | fe80:c25d:ec00:ec00:2:29ff:ffff:ffff |
| 43 | fe80:c25d:ec00:ec00:2:2a00::/88 | fe80:c25d:ec00:ec00:2:2aff:ffff:ffff |
| 44 | fe80:c25d:ec00:ec00:2:2b00::/88 | fe80:c25d:ec00:ec00:2:2bff:ffff:ffff |
| 45 | fe80:c25d:ec00:ec00:2:2c00::/88 | fe80:c25d:ec00:ec00:2:2cff:ffff:ffff |
| 46 | fe80:c25d:ec00:ec00:2:2d00::/88 | fe80:c25d:ec00:ec00:2:2dff:ffff:ffff |
| 47 | fe80:c25d:ec00:ec00:2:2e00::/88 | fe80:c25d:ec00:ec00:2:2eff:ffff:ffff |
| 48 | fe80:c25d:ec00:ec00:2:2f00::/88 | fe80:c25d:ec00:ec00:2:2fff:ffff:ffff |
| 49 | fe80:c25d:ec00:ec00:2:3000::/88 | fe80:c25d:ec00:ec00:2:30ff:ffff:ffff |
| 50 | fe80:c25d:ec00:ec00:2:3100::/88 | fe80:c25d:ec00:ec00:2:31ff:ffff:ffff |
| 51 | fe80:c25d:ec00:ec00:2:3200::/88 | fe80:c25d:ec00:ec00:2:32ff:ffff:ffff |
| 52 | fe80:c25d:ec00:ec00:2:3300::/88 | fe80:c25d:ec00:ec00:2:33ff:ffff:ffff |
| 53 | fe80:c25d:ec00:ec00:2:3400::/88 | fe80:c25d:ec00:ec00:2:34ff:ffff:ffff |
| 54 | fe80:c25d:ec00:ec00:2:3500::/88 | fe80:c25d:ec00:ec00:2:35ff:ffff:ffff |
| 55 | fe80:c25d:ec00:ec00:2:3600::/88 | fe80:c25d:ec00:ec00:2:36ff:ffff:ffff |
| 56 | fe80:c25d:ec00:ec00:2:3700::/88 | fe80:c25d:ec00:ec00:2:37ff:ffff:ffff |
| 57 | fe80:c25d:ec00:ec00:2:3800::/88 | fe80:c25d:ec00:ec00:2:38ff:ffff:ffff |
| 58 | fe80:c25d:ec00:ec00:2:3900::/88 | fe80:c25d:ec00:ec00:2:39ff:ffff:ffff |
| 59 | fe80:c25d:ec00:ec00:2:3a00::/88 | fe80:c25d:ec00:ec00:2:3aff:ffff:ffff |
| 60 | fe80:c25d:ec00:ec00:2:3b00::/88 | fe80:c25d:ec00:ec00:2:3bff:ffff:ffff |
| 61 | fe80:c25d:ec00:ec00:2:3c00::/88 | fe80:c25d:ec00:ec00:2:3cff:ffff:ffff |
| 62 | fe80:c25d:ec00:ec00:2:3d00::/88 | fe80:c25d:ec00:ec00:2:3dff:ffff:ffff |
| 63 | fe80:c25d:ec00:ec00:2:3e00::/88 | fe80:c25d:ec00:ec00:2:3eff:ffff:ffff |
| 64 | fe80:c25d:ec00:ec00:2:3f00::/88 | fe80:c25d:ec00:ec00:2:3fff:ffff:ffff |
| 65 | fe80:c25d:ec00:ec00:2:4000::/88 | fe80:c25d:ec00:ec00:2:40ff:ffff:ffff |
| 66 | fe80:c25d:ec00:ec00:2:4100::/88 | fe80:c25d:ec00:ec00:2:41ff:ffff:ffff |
| 67 | fe80:c25d:ec00:ec00:2:4200::/88 | fe80:c25d:ec00:ec00:2:42ff:ffff:ffff |
| 68 | fe80:c25d:ec00:ec00:2:4300::/88 | fe80:c25d:ec00:ec00:2:43ff:ffff:ffff |
| 69 | fe80:c25d:ec00:ec00:2:4400::/88 | fe80:c25d:ec00:ec00:2:44ff:ffff:ffff |
| 70 | fe80:c25d:ec00:ec00:2:4500::/88 | fe80:c25d:ec00:ec00:2:45ff:ffff:ffff |
| 71 | fe80:c25d:ec00:ec00:2:4600::/88 | fe80:c25d:ec00:ec00:2:46ff:ffff:ffff |
| 72 | fe80:c25d:ec00:ec00:2:4700::/88 | fe80:c25d:ec00:ec00:2:47ff:ffff:ffff |
| 73 | fe80:c25d:ec00:ec00:2:4800::/88 | fe80:c25d:ec00:ec00:2:48ff:ffff:ffff |
| 74 | fe80:c25d:ec00:ec00:2:4900::/88 | fe80:c25d:ec00:ec00:2:49ff:ffff:ffff |
| 75 | fe80:c25d:ec00:ec00:2:4a00::/88 | fe80:c25d:ec00:ec00:2:4aff:ffff:ffff |
| 76 | fe80:c25d:ec00:ec00:2:4b00::/88 | fe80:c25d:ec00:ec00:2:4bff:ffff:ffff |
| 77 | fe80:c25d:ec00:ec00:2:4c00::/88 | fe80:c25d:ec00:ec00:2:4cff:ffff:ffff |
| 78 | fe80:c25d:ec00:ec00:2:4d00::/88 | fe80:c25d:ec00:ec00:2:4dff:ffff:ffff |
| 79 | fe80:c25d:ec00:ec00:2:4e00::/88 | fe80:c25d:ec00:ec00:2:4eff:ffff:ffff |
| 80 | fe80:c25d:ec00:ec00:2:4f00::/88 | fe80:c25d:ec00:ec00:2:4fff:ffff:ffff |
| 81 | fe80:c25d:ec00:ec00:2:5000::/88 | fe80:c25d:ec00:ec00:2:50ff:ffff:ffff |
| 82 | fe80:c25d:ec00:ec00:2:5100::/88 | fe80:c25d:ec00:ec00:2:51ff:ffff:ffff |
| 83 | fe80:c25d:ec00:ec00:2:5200::/88 | fe80:c25d:ec00:ec00:2:52ff:ffff:ffff |
| 84 | fe80:c25d:ec00:ec00:2:5300::/88 | fe80:c25d:ec00:ec00:2:53ff:ffff:ffff |
| 85 | fe80:c25d:ec00:ec00:2:5400::/88 | fe80:c25d:ec00:ec00:2:54ff:ffff:ffff |
| 86 | fe80:c25d:ec00:ec00:2:5500::/88 | fe80:c25d:ec00:ec00:2:55ff:ffff:ffff |
| 87 | fe80:c25d:ec00:ec00:2:5600::/88 | fe80:c25d:ec00:ec00:2:56ff:ffff:ffff |
| 88 | fe80:c25d:ec00:ec00:2:5700::/88 | fe80:c25d:ec00:ec00:2:57ff:ffff:ffff |
| 89 | fe80:c25d:ec00:ec00:2:5800::/88 | fe80:c25d:ec00:ec00:2:58ff:ffff:ffff |
| 90 | fe80:c25d:ec00:ec00:2:5900::/88 | fe80:c25d:ec00:ec00:2:59ff:ffff:ffff |
| 91 | fe80:c25d:ec00:ec00:2:5a00::/88 | fe80:c25d:ec00:ec00:2:5aff:ffff:ffff |
| 92 | fe80:c25d:ec00:ec00:2:5b00::/88 | fe80:c25d:ec00:ec00:2:5bff:ffff:ffff |
| 93 | fe80:c25d:ec00:ec00:2:5c00::/88 | fe80:c25d:ec00:ec00:2:5cff:ffff:ffff |
| 94 | fe80:c25d:ec00:ec00:2:5d00::/88 | fe80:c25d:ec00:ec00:2:5dff:ffff:ffff |
| 95 | fe80:c25d:ec00:ec00:2:5e00::/88 | fe80:c25d:ec00:ec00:2:5eff:ffff:ffff |
| 96 | fe80:c25d:ec00:ec00:2:5f00::/88 | fe80:c25d:ec00:ec00:2:5fff:ffff:ffff |
| 97 | fe80:c25d:ec00:ec00:2:6000::/88 | fe80:c25d:ec00:ec00:2:60ff:ffff:ffff |
| 98 | fe80:c25d:ec00:ec00:2:6100::/88 | fe80:c25d:ec00:ec00:2:61ff:ffff:ffff |
| 99 | fe80:c25d:ec00:ec00:2:6200::/88 | fe80:c25d:ec00:ec00:2:62ff:ffff:ffff |
| 100 | fe80:c25d:ec00:ec00:2:6300::/88 | fe80:c25d:ec00:ec00:2:63ff:ffff:ffff |
| 101 | fe80:c25d:ec00:ec00:2:6400::/88 | fe80:c25d:ec00:ec00:2:64ff:ffff:ffff |
| 102 | fe80:c25d:ec00:ec00:2:6500::/88 | fe80:c25d:ec00:ec00:2:65ff:ffff:ffff |
| 103 | fe80:c25d:ec00:ec00:2:6600::/88 | fe80:c25d:ec00:ec00:2:66ff:ffff:ffff |
| 104 | fe80:c25d:ec00:ec00:2:6700::/88 | fe80:c25d:ec00:ec00:2:67ff:ffff:ffff |
| 105 | fe80:c25d:ec00:ec00:2:6800::/88 | fe80:c25d:ec00:ec00:2:68ff:ffff:ffff |
| 106 | fe80:c25d:ec00:ec00:2:6900::/88 | fe80:c25d:ec00:ec00:2:69ff:ffff:ffff |
| 107 | fe80:c25d:ec00:ec00:2:6a00::/88 | fe80:c25d:ec00:ec00:2:6aff:ffff:ffff |
| 108 | fe80:c25d:ec00:ec00:2:6b00::/88 | fe80:c25d:ec00:ec00:2:6bff:ffff:ffff |
| 109 | fe80:c25d:ec00:ec00:2:6c00::/88 | fe80:c25d:ec00:ec00:2:6cff:ffff:ffff |
| 110 | fe80:c25d:ec00:ec00:2:6d00::/88 | fe80:c25d:ec00:ec00:2:6dff:ffff:ffff |
| 111 | fe80:c25d:ec00:ec00:2:6e00::/88 | fe80:c25d:ec00:ec00:2:6eff:ffff:ffff |
| 112 | fe80:c25d:ec00:ec00:2:6f00::/88 | fe80:c25d:ec00:ec00:2:6fff:ffff:ffff |
| 113 | fe80:c25d:ec00:ec00:2:7000::/88 | fe80:c25d:ec00:ec00:2:70ff:ffff:ffff |
| 114 | fe80:c25d:ec00:ec00:2:7100::/88 | fe80:c25d:ec00:ec00:2:71ff:ffff:ffff |
| 115 | fe80:c25d:ec00:ec00:2:7200::/88 | fe80:c25d:ec00:ec00:2:72ff:ffff:ffff |
| 116 | fe80:c25d:ec00:ec00:2:7300::/88 | fe80:c25d:ec00:ec00:2:73ff:ffff:ffff |
| 117 | fe80:c25d:ec00:ec00:2:7400::/88 | fe80:c25d:ec00:ec00:2:74ff:ffff:ffff |
| 118 | fe80:c25d:ec00:ec00:2:7500::/88 | fe80:c25d:ec00:ec00:2:75ff:ffff:ffff |
| 119 | fe80:c25d:ec00:ec00:2:7600::/88 | fe80:c25d:ec00:ec00:2:76ff:ffff:ffff |
| 120 | fe80:c25d:ec00:ec00:2:7700::/88 | fe80:c25d:ec00:ec00:2:77ff:ffff:ffff |
| 121 | fe80:c25d:ec00:ec00:2:7800::/88 | fe80:c25d:ec00:ec00:2:78ff:ffff:ffff |
| 122 | fe80:c25d:ec00:ec00:2:7900::/88 | fe80:c25d:ec00:ec00:2:79ff:ffff:ffff |
| 123 | fe80:c25d:ec00:ec00:2:7a00::/88 | fe80:c25d:ec00:ec00:2:7aff:ffff:ffff |
| 124 | fe80:c25d:ec00:ec00:2:7b00::/88 | fe80:c25d:ec00:ec00:2:7bff:ffff:ffff |
| 125 | fe80:c25d:ec00:ec00:2:7c00::/88 | fe80:c25d:ec00:ec00:2:7cff:ffff:ffff |
| 126 | fe80:c25d:ec00:ec00:2:7d00::/88 | fe80:c25d:ec00:ec00:2:7dff:ffff:ffff |
| 127 | fe80:c25d:ec00:ec00:2:7e00::/88 | fe80:c25d:ec00:ec00:2:7eff:ffff:ffff |
| 128 | fe80:c25d:ec00:ec00:2:7f00::/88 | fe80:c25d:ec00:ec00:2:7fff:ffff:ffff |
| 129 | fe80:c25d:ec00:ec00:2:8000::/88 | fe80:c25d:ec00:ec00:2:80ff:ffff:ffff |
| 130 | fe80:c25d:ec00:ec00:2:8100::/88 | fe80:c25d:ec00:ec00:2:81ff:ffff:ffff |
| 131 | fe80:c25d:ec00:ec00:2:8200::/88 | fe80:c25d:ec00:ec00:2:82ff:ffff:ffff |
| 132 | fe80:c25d:ec00:ec00:2:8300::/88 | fe80:c25d:ec00:ec00:2:83ff:ffff:ffff |
| 133 | fe80:c25d:ec00:ec00:2:8400::/88 | fe80:c25d:ec00:ec00:2:84ff:ffff:ffff |
| 134 | fe80:c25d:ec00:ec00:2:8500::/88 | fe80:c25d:ec00:ec00:2:85ff:ffff:ffff |
| 135 | fe80:c25d:ec00:ec00:2:8600::/88 | fe80:c25d:ec00:ec00:2:86ff:ffff:ffff |
| 136 | fe80:c25d:ec00:ec00:2:8700::/88 | fe80:c25d:ec00:ec00:2:87ff:ffff:ffff |
| 137 | fe80:c25d:ec00:ec00:2:8800::/88 | fe80:c25d:ec00:ec00:2:88ff:ffff:ffff |
| 138 | fe80:c25d:ec00:ec00:2:8900::/88 | fe80:c25d:ec00:ec00:2:89ff:ffff:ffff |
| 139 | fe80:c25d:ec00:ec00:2:8a00::/88 | fe80:c25d:ec00:ec00:2:8aff:ffff:ffff |
| 140 | fe80:c25d:ec00:ec00:2:8b00::/88 | fe80:c25d:ec00:ec00:2:8bff:ffff:ffff |
| 141 | fe80:c25d:ec00:ec00:2:8c00::/88 | fe80:c25d:ec00:ec00:2:8cff:ffff:ffff |
| 142 | fe80:c25d:ec00:ec00:2:8d00::/88 | fe80:c25d:ec00:ec00:2:8dff:ffff:ffff |
| 143 | fe80:c25d:ec00:ec00:2:8e00::/88 | fe80:c25d:ec00:ec00:2:8eff:ffff:ffff |
| 144 | fe80:c25d:ec00:ec00:2:8f00::/88 | fe80:c25d:ec00:ec00:2:8fff:ffff:ffff |
| 145 | fe80:c25d:ec00:ec00:2:9000::/88 | fe80:c25d:ec00:ec00:2:90ff:ffff:ffff |
| 146 | fe80:c25d:ec00:ec00:2:9100::/88 | fe80:c25d:ec00:ec00:2:91ff:ffff:ffff |
| 147 | fe80:c25d:ec00:ec00:2:9200::/88 | fe80:c25d:ec00:ec00:2:92ff:ffff:ffff |
| 148 | fe80:c25d:ec00:ec00:2:9300::/88 | fe80:c25d:ec00:ec00:2:93ff:ffff:ffff |
| 149 | fe80:c25d:ec00:ec00:2:9400::/88 | fe80:c25d:ec00:ec00:2:94ff:ffff:ffff |
| 150 | fe80:c25d:ec00:ec00:2:9500::/88 | fe80:c25d:ec00:ec00:2:95ff:ffff:ffff |
| 151 | fe80:c25d:ec00:ec00:2:9600::/88 | fe80:c25d:ec00:ec00:2:96ff:ffff:ffff |
| 152 | fe80:c25d:ec00:ec00:2:9700::/88 | fe80:c25d:ec00:ec00:2:97ff:ffff:ffff |
| 153 | fe80:c25d:ec00:ec00:2:9800::/88 | fe80:c25d:ec00:ec00:2:98ff:ffff:ffff |
| 154 | fe80:c25d:ec00:ec00:2:9900::/88 | fe80:c25d:ec00:ec00:2:99ff:ffff:ffff |
| 155 | fe80:c25d:ec00:ec00:2:9a00::/88 | fe80:c25d:ec00:ec00:2:9aff:ffff:ffff |
| 156 | fe80:c25d:ec00:ec00:2:9b00::/88 | fe80:c25d:ec00:ec00:2:9bff:ffff:ffff |
| 157 | fe80:c25d:ec00:ec00:2:9c00::/88 | fe80:c25d:ec00:ec00:2:9cff:ffff:ffff |
| 158 | fe80:c25d:ec00:ec00:2:9d00::/88 | fe80:c25d:ec00:ec00:2:9dff:ffff:ffff |
| 159 | fe80:c25d:ec00:ec00:2:9e00::/88 | fe80:c25d:ec00:ec00:2:9eff:ffff:ffff |
| 160 | fe80:c25d:ec00:ec00:2:9f00::/88 | fe80:c25d:ec00:ec00:2:9fff:ffff:ffff |
| 161 | fe80:c25d:ec00:ec00:2:a000::/88 | fe80:c25d:ec00:ec00:2:a0ff:ffff:ffff |
| 162 | fe80:c25d:ec00:ec00:2:a100::/88 | fe80:c25d:ec00:ec00:2:a1ff:ffff:ffff |
| 163 | fe80:c25d:ec00:ec00:2:a200::/88 | fe80:c25d:ec00:ec00:2:a2ff:ffff:ffff |
| 164 | fe80:c25d:ec00:ec00:2:a300::/88 | fe80:c25d:ec00:ec00:2:a3ff:ffff:ffff |
| 165 | fe80:c25d:ec00:ec00:2:a400::/88 | fe80:c25d:ec00:ec00:2:a4ff:ffff:ffff |
| 166 | fe80:c25d:ec00:ec00:2:a500::/88 | fe80:c25d:ec00:ec00:2:a5ff:ffff:ffff |
| 167 | fe80:c25d:ec00:ec00:2:a600::/88 | fe80:c25d:ec00:ec00:2:a6ff:ffff:ffff |
| 168 | fe80:c25d:ec00:ec00:2:a700::/88 | fe80:c25d:ec00:ec00:2:a7ff:ffff:ffff |
| 169 | fe80:c25d:ec00:ec00:2:a800::/88 | fe80:c25d:ec00:ec00:2:a8ff:ffff:ffff |
| 170 | fe80:c25d:ec00:ec00:2:a900::/88 | fe80:c25d:ec00:ec00:2:a9ff:ffff:ffff |
| 171 | fe80:c25d:ec00:ec00:2:aa00::/88 | fe80:c25d:ec00:ec00:2:aaff:ffff:ffff |
| 172 | fe80:c25d:ec00:ec00:2:ab00::/88 | fe80:c25d:ec00:ec00:2:abff:ffff:ffff |
| 173 | fe80:c25d:ec00:ec00:2:ac00::/88 | fe80:c25d:ec00:ec00:2:acff:ffff:ffff |
| 174 | fe80:c25d:ec00:ec00:2:ad00::/88 | fe80:c25d:ec00:ec00:2:adff:ffff:ffff |
| 175 | fe80:c25d:ec00:ec00:2:ae00::/88 | fe80:c25d:ec00:ec00:2:aeff:ffff:ffff |
| 176 | fe80:c25d:ec00:ec00:2:af00::/88 | fe80:c25d:ec00:ec00:2:afff:ffff:ffff |
| 177 | fe80:c25d:ec00:ec00:2:b000::/88 | fe80:c25d:ec00:ec00:2:b0ff:ffff:ffff |
| 178 | fe80:c25d:ec00:ec00:2:b100::/88 | fe80:c25d:ec00:ec00:2:b1ff:ffff:ffff |
| 179 | fe80:c25d:ec00:ec00:2:b200::/88 | fe80:c25d:ec00:ec00:2:b2ff:ffff:ffff |
| 180 | fe80:c25d:ec00:ec00:2:b300::/88 | fe80:c25d:ec00:ec00:2:b3ff:ffff:ffff |
| 181 | fe80:c25d:ec00:ec00:2:b400::/88 | fe80:c25d:ec00:ec00:2:b4ff:ffff:ffff |
| 182 | fe80:c25d:ec00:ec00:2:b500::/88 | fe80:c25d:ec00:ec00:2:b5ff:ffff:ffff |
| 183 | fe80:c25d:ec00:ec00:2:b600::/88 | fe80:c25d:ec00:ec00:2:b6ff:ffff:ffff |
| 184 | fe80:c25d:ec00:ec00:2:b700::/88 | fe80:c25d:ec00:ec00:2:b7ff:ffff:ffff |
| 185 | fe80:c25d:ec00:ec00:2:b800::/88 | fe80:c25d:ec00:ec00:2:b8ff:ffff:ffff |
| 186 | fe80:c25d:ec00:ec00:2:b900::/88 | fe80:c25d:ec00:ec00:2:b9ff:ffff:ffff |
| 187 | fe80:c25d:ec00:ec00:2:ba00::/88 | fe80:c25d:ec00:ec00:2:baff:ffff:ffff |
| 188 | fe80:c25d:ec00:ec00:2:bb00::/88 | fe80:c25d:ec00:ec00:2:bbff:ffff:ffff |
| 189 | fe80:c25d:ec00:ec00:2:bc00::/88 | fe80:c25d:ec00:ec00:2:bcff:ffff:ffff |
| 190 | fe80:c25d:ec00:ec00:2:bd00::/88 | fe80:c25d:ec00:ec00:2:bdff:ffff:ffff |
| 191 | fe80:c25d:ec00:ec00:2:be00::/88 | fe80:c25d:ec00:ec00:2:beff:ffff:ffff |
| 192 | fe80:c25d:ec00:ec00:2:bf00::/88 | fe80:c25d:ec00:ec00:2:bfff:ffff:ffff |
| 193 | fe80:c25d:ec00:ec00:2:c000::/88 | fe80:c25d:ec00:ec00:2:c0ff:ffff:ffff |
| 194 | fe80:c25d:ec00:ec00:2:c100::/88 | fe80:c25d:ec00:ec00:2:c1ff:ffff:ffff |
| 195 | fe80:c25d:ec00:ec00:2:c200::/88 | fe80:c25d:ec00:ec00:2:c2ff:ffff:ffff |
| 196 | fe80:c25d:ec00:ec00:2:c300::/88 | fe80:c25d:ec00:ec00:2:c3ff:ffff:ffff |
| 197 | fe80:c25d:ec00:ec00:2:c400::/88 | fe80:c25d:ec00:ec00:2:c4ff:ffff:ffff |
| 198 | fe80:c25d:ec00:ec00:2:c500::/88 | fe80:c25d:ec00:ec00:2:c5ff:ffff:ffff |
| 199 | fe80:c25d:ec00:ec00:2:c600::/88 | fe80:c25d:ec00:ec00:2:c6ff:ffff:ffff |
| 200 | fe80:c25d:ec00:ec00:2:c700::/88 | fe80:c25d:ec00:ec00:2:c7ff:ffff:ffff |
| 201 | fe80:c25d:ec00:ec00:2:c800::/88 | fe80:c25d:ec00:ec00:2:c8ff:ffff:ffff |
| 202 | fe80:c25d:ec00:ec00:2:c900::/88 | fe80:c25d:ec00:ec00:2:c9ff:ffff:ffff |
| 203 | fe80:c25d:ec00:ec00:2:ca00::/88 | fe80:c25d:ec00:ec00:2:caff:ffff:ffff |
| 204 | fe80:c25d:ec00:ec00:2:cb00::/88 | fe80:c25d:ec00:ec00:2:cbff:ffff:ffff |
| 205 | fe80:c25d:ec00:ec00:2:cc00::/88 | fe80:c25d:ec00:ec00:2:ccff:ffff:ffff |
| 206 | fe80:c25d:ec00:ec00:2:cd00::/88 | fe80:c25d:ec00:ec00:2:cdff:ffff:ffff |
| 207 | fe80:c25d:ec00:ec00:2:ce00::/88 | fe80:c25d:ec00:ec00:2:ceff:ffff:ffff |
| 208 | fe80:c25d:ec00:ec00:2:cf00::/88 | fe80:c25d:ec00:ec00:2:cfff:ffff:ffff |
| 209 | fe80:c25d:ec00:ec00:2:d000::/88 | fe80:c25d:ec00:ec00:2:d0ff:ffff:ffff |
| 210 | fe80:c25d:ec00:ec00:2:d100::/88 | fe80:c25d:ec00:ec00:2:d1ff:ffff:ffff |
| 211 | fe80:c25d:ec00:ec00:2:d200::/88 | fe80:c25d:ec00:ec00:2:d2ff:ffff:ffff |
| 212 | fe80:c25d:ec00:ec00:2:d300::/88 | fe80:c25d:ec00:ec00:2:d3ff:ffff:ffff |
| 213 | fe80:c25d:ec00:ec00:2:d400::/88 | fe80:c25d:ec00:ec00:2:d4ff:ffff:ffff |
| 214 | fe80:c25d:ec00:ec00:2:d500::/88 | fe80:c25d:ec00:ec00:2:d5ff:ffff:ffff |
| 215 | fe80:c25d:ec00:ec00:2:d600::/88 | fe80:c25d:ec00:ec00:2:d6ff:ffff:ffff |
| 216 | fe80:c25d:ec00:ec00:2:d700::/88 | fe80:c25d:ec00:ec00:2:d7ff:ffff:ffff |
| 217 | fe80:c25d:ec00:ec00:2:d800::/88 | fe80:c25d:ec00:ec00:2:d8ff:ffff:ffff |
| 218 | fe80:c25d:ec00:ec00:2:d900::/88 | fe80:c25d:ec00:ec00:2:d9ff:ffff:ffff |
| 219 | fe80:c25d:ec00:ec00:2:da00::/88 | fe80:c25d:ec00:ec00:2:daff:ffff:ffff |
| 220 | fe80:c25d:ec00:ec00:2:db00::/88 | fe80:c25d:ec00:ec00:2:dbff:ffff:ffff |
| 221 | fe80:c25d:ec00:ec00:2:dc00::/88 | fe80:c25d:ec00:ec00:2:dcff:ffff:ffff |
| 222 | fe80:c25d:ec00:ec00:2:dd00::/88 | fe80:c25d:ec00:ec00:2:ddff:ffff:ffff |
| 223 | fe80:c25d:ec00:ec00:2:de00::/88 | fe80:c25d:ec00:ec00:2:deff:ffff:ffff |
| 224 | fe80:c25d:ec00:ec00:2:df00::/88 | fe80:c25d:ec00:ec00:2:dfff:ffff:ffff |
| 225 | fe80:c25d:ec00:ec00:2:e000::/88 | fe80:c25d:ec00:ec00:2:e0ff:ffff:ffff |
| 226 | fe80:c25d:ec00:ec00:2:e100::/88 | fe80:c25d:ec00:ec00:2:e1ff:ffff:ffff |
| 227 | fe80:c25d:ec00:ec00:2:e200::/88 | fe80:c25d:ec00:ec00:2:e2ff:ffff:ffff |
| 228 | fe80:c25d:ec00:ec00:2:e300::/88 | fe80:c25d:ec00:ec00:2:e3ff:ffff:ffff |
| 229 | fe80:c25d:ec00:ec00:2:e400::/88 | fe80:c25d:ec00:ec00:2:e4ff:ffff:ffff |
| 230 | fe80:c25d:ec00:ec00:2:e500::/88 | fe80:c25d:ec00:ec00:2:e5ff:ffff:ffff |
| 231 | fe80:c25d:ec00:ec00:2:e600::/88 | fe80:c25d:ec00:ec00:2:e6ff:ffff:ffff |
| 232 | fe80:c25d:ec00:ec00:2:e700::/88 | fe80:c25d:ec00:ec00:2:e7ff:ffff:ffff |
| 233 | fe80:c25d:ec00:ec00:2:e800::/88 | fe80:c25d:ec00:ec00:2:e8ff:ffff:ffff |
| 234 | fe80:c25d:ec00:ec00:2:e900::/88 | fe80:c25d:ec00:ec00:2:e9ff:ffff:ffff |
| 235 | fe80:c25d:ec00:ec00:2:ea00::/88 | fe80:c25d:ec00:ec00:2:eaff:ffff:ffff |
| 236 | fe80:c25d:ec00:ec00:2:eb00::/88 | fe80:c25d:ec00:ec00:2:ebff:ffff:ffff |
| 237 | fe80:c25d:ec00:ec00:2:ec00::/88 | fe80:c25d:ec00:ec00:2:ecff:ffff:ffff |
| 238 | fe80:c25d:ec00:ec00:2:ed00::/88 | fe80:c25d:ec00:ec00:2:edff:ffff:ffff |
| 239 | fe80:c25d:ec00:ec00:2:ee00::/88 | fe80:c25d:ec00:ec00:2:eeff:ffff:ffff |
| 240 | fe80:c25d:ec00:ec00:2:ef00::/88 | fe80:c25d:ec00:ec00:2:efff:ffff:ffff |
| 241 | fe80:c25d:ec00:ec00:2:f000::/88 | fe80:c25d:ec00:ec00:2:f0ff:ffff:ffff |
| 242 | fe80:c25d:ec00:ec00:2:f100::/88 | fe80:c25d:ec00:ec00:2:f1ff:ffff:ffff |
| 243 | fe80:c25d:ec00:ec00:2:f200::/88 | fe80:c25d:ec00:ec00:2:f2ff:ffff:ffff |
| 244 | fe80:c25d:ec00:ec00:2:f300::/88 | fe80:c25d:ec00:ec00:2:f3ff:ffff:ffff |
| 245 | fe80:c25d:ec00:ec00:2:f400::/88 | fe80:c25d:ec00:ec00:2:f4ff:ffff:ffff |
| 246 | fe80:c25d:ec00:ec00:2:f500::/88 | fe80:c25d:ec00:ec00:2:f5ff:ffff:ffff |
| 247 | fe80:c25d:ec00:ec00:2:f600::/88 | fe80:c25d:ec00:ec00:2:f6ff:ffff:ffff |
| 248 | fe80:c25d:ec00:ec00:2:f700::/88 | fe80:c25d:ec00:ec00:2:f7ff:ffff:ffff |
| 249 | fe80:c25d:ec00:ec00:2:f800::/88 | fe80:c25d:ec00:ec00:2:f8ff:ffff:ffff |
| 250 | fe80:c25d:ec00:ec00:2:f900::/88 | fe80:c25d:ec00:ec00:2:f9ff:ffff:ffff |
| 251 | fe80:c25d:ec00:ec00:2:fa00::/88 | fe80:c25d:ec00:ec00:2:faff:ffff:ffff |
| 252 | fe80:c25d:ec00:ec00:2:fb00::/88 | fe80:c25d:ec00:ec00:2:fbff:ffff:ffff |
| 253 | fe80:c25d:ec00:ec00:2:fc00::/88 | fe80:c25d:ec00:ec00:2:fcff:ffff:ffff |
| 254 | fe80:c25d:ec00:ec00:2:fd00::/88 | fe80:c25d:ec00:ec00:2:fdff:ffff:ffff |
| 255 | fe80:c25d:ec00:ec00:2:fe00::/88 | fe80:c25d:ec00:ec00:2:feff:ffff:ffff |
| 256 | fe80:c25d:ec00:ec00:2:ff00::/88 | fe80:c25d:ec00:ec00:2:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |